Home | All Classes | Grouped Classes | Index | Search

# CL_Matrix4x4::CL_Matrix4x4

Constructs a 4x4 matrix.

    	CL_Matrix4x4(
    		bool identity = false);

    	CL_Matrix4x4(
    		const CL_Matrix4x4& copy);

    	CL_Matrix4x4(
    		double* matrix);

    	CL_Matrix4x4(
    		float* matrix);

Parameters:

identity
  When true, initial matrix will be the identity matrix. If false, initial will be null matrix.
matrix[16]
  Initial matrix.

See also:

CL_Matrix4x4

Questions or comments, write to the ClanLib mailing list.